Bug 207313 - Review Request: php-pear-PHP-Compat - Provides missing functionality for older versions of PHP
Summary: Review Request: php-pear-PHP-Compat - Provides missing functionality for olde...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-09-20 16:43 UTC by Remi Collet
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-23 16:27:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2006-09-20 16:43:13 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-PHP-Compat.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-PHP-Compat-1.5.0-1.fc5.src.rpm
Description: 
PHP_Compat provides missing functionality for older versions of PHP.
This include fonctions and constants.

Note : on FC5, with php-5.1.x, this extension provides only 1 fonction (bcinvert) from php-5.2.0. I think it still useful for some apps with requires it.

Comment 1 Jason Tibbitts 2006-09-23 14:46:59 UTC
* source files match upstream:
   4d73c451f4f3a8f9a0516bd26af7f652  PHP_Compat-1.5.0.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent (except for the usual bogus "dangerous-command" warning).
* final provides and requires are sane:
   php-pear(PHP_Compat) = 1.5.0
   php-pear-PHP-Compat = 1.5.0-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
* %check is present, but tests the packaging, not the package.  There are tests
for the package, but as with all PEAR modules it's not really possible to run
them at build time.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Remi Collet 2007-04-29 16:36:59 UTC
Package Change Request
======================
Package Name: php-pear-PHP-Compat
New Branches: EL-5


Note You need to log in before you can comment on or make changes to this bug.